Subject: [RESEND PATCH v4 2/2] arm64: Add seccomp support

From: [email-masked] (Will Deacon)
Date: Thu, 10 Jul 2014 09:48:10 +0100

On Thu, Jul 10, 2014 at 05:33:50AM +0100, AKASHI Takahiro wrote:
> Will,
> 
>  >  (1) Updating syscallno based on w8, but this ties us to the current ABI
>  >      and could get messy if this register changes in the future.
> 
> So, is this the conclusion that I should follow?

I think so, with the exception that if the tracer/debugger sets it to -1 to
abort the syscall, then we should restore the original value.

Will